Skip to main content
GET
/
v5
/
mileage
/
cars
Get cars
curl --request GET \
  --url https://sandbox.hurdlr.com/rest/v5/mileage/cars \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "name": "<string>",
      "id": 123,
      "make": "<string>",
      "model": "<string>",
      "year": 123,
      "isPrimary": true,
      "status": "ACTIVE",
      "details": [
        {
          "year": 123,
          "beginOdometer": 123
        }
      ]
    }
  ],
  "lastUpdatedDate": "2023-11-07T05:31:56Z",
  "cursor": "<string>",
  "deletedIds": [
    123
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.tight.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

lastUpdatedDate
string

Date filter - returns all records modified after the specified date

cursor
string

Cursor from the previous paginated response

limit
integer<int32>

Page size, i.e. number of items to return per page

Query Parameters

status
enum<string>[]

Status filter - returns all mileages for the specified statuses. Null or empty list will default to ACTIVE.

Available options:
ACTIVE,
INACTIVE

Response

200 - application/json

successful operation

data
object[]

The list of entities

lastUpdatedDate
string<date-time>

Date filter - to be used in your subsequent request

cursor
string

Cursor to be used in your subsequent paginated request. Only populated if there are more pages available.

deletedIds
integer<int32>[]

Ids of entities that no longer match the request's filter criteria since the request's lastUpdatedDate